/* ************************************************************************ */
/* AK_GEN0_BASE_H (Headerfile for use with the "ak_gen0.library")           */
/* ************************************************************************ */
/* (c) 1989-93 by Andreas Ralph Kleinert. All rights reserved.              */
/* COMMERCIAL USE IS NOT ALLOWED WITHOUT SPECIAL PERMISSION BY THE AUTHOR ! */
/* ************************************************************************ */
/* Version	    : V38.20						    */
/* Last updated     : 17.10.1993					    */
/* Compiler	    : SAS/C V6.3					    */
/* Compiler-Options : (smakefile)                                           */
/* ************************************************************************ */
/* Address	    : Andreas R. Kleinert				    */
/*		      Grube Hohe Grethe 23				    */
/*		      D-57074 Siegen					    */
/*		      Germany						    */
/* ************************************************************************ */

/* NOTE : Always make use of #pragmas, if possible and NEVER use stubs
	  for "ak_gen0.library", when using ANY kind of #pragmas under
	  SAS/C V6.00+
*/

#ifndef AK_GEN0_AK_GEN0_BASE_H
#define AK_GEN0_AK_GEN0_BASE_H

#ifndef AK_GEN0_AK_GEN0_H
#include <ak_gen0/ak_gen0.h>
#endif /* AK_GEN0_AK_GEN0_H */


 /* Note : names of structure entries have slighly changed in V38.1  */


struct AKBase
{
 struct Library ak_LibNode;	  /* PRIVATE.			  */
 APTR		ak_SegList;	  /* PRIVATE.			  */
 APTR		ak_SysBase;	  /* You have your own. ALWAYS.   */
 APTR		ak_DOSBase;	  /* Use it, but don't close it ! */
 APTR		ak_IntuitionBase; /* Use it, but don't close it ! */
 APTR		ak_GfxBase;	  /* Use it, but don't close it ! */

#define ak_Flags ak_FileReqFlags  /* OBSOLETE			  */

 ULONG		ak_FileReqFlags;  /* (see Flag definitions below) */
 ULONG		ak_ModeReqFlags;  /* (see Flag definitions below) */
};


 /* Global Default FileRequester-Flags (AKBF_*), set in ak_FileReqFlags */

    /* A combination of AKBF_ALWAYS* flags is not possible,
       because they represent opposite default settings.
       If both flags are set, only one - guess, which - will
       be recognized !
     */

#define AKBF_ALWAYS_ASL   (1<<0)    /* Use ASL-Requester ALWAYS.
				       At least TRY IT unter OS V1.2/V1.3.
				     */
#define AKBF_ALWAYS_OWN   (1<<1)    /* Use internal Requester ALWAYS.
				       Even under OS V2.04+.
				       (Use not suggested :
					Added to allow simple testing of the
					internal default requester under new
					OS versions, because if "asl.library"
					cannot be found, the default requester
					is used instead.)
				      */
#define AKBF_RESERVED_MASK (~(AKBF_ALWAYS_ASL | AKBF_ALWAYS_OWN) )
			     /* Just reserved values. */


 /* Global Default ModeRequester-Flags (AKBM_*), set in ak_ModeReqFlags */

#define AKBM_BIGOVERSCAN (1<<0)   /* Biggest Overscan-Values
				     become selectable in the
				     Requester.
				     e.g. : HighRes 724x283 instead
						 of 652x268
				    */
#define AKBM_RESERVED_MASK (~(AKBM_BIGOVERSCAN))
			     /* Just reserved values. */


#endif /* AK_GEN0_AK_GEN0_BASE_H */
